Skip to main content
GET
/
agents
/
{agent_id}
/
settings
Get agent observability + enforcement settings
curl --request GET \
  --url https://api.mnemom.ai/v1/agents/{agent_id}/settings \
  --header 'Authorization: Bearer <token>'
{
  "agent_id": "<string>",
  "aap_enabled": true,
  "aip_enabled": true,
  "proof_enabled": true,
  "proof_rate": 50,
  "analyze_output": true
}

Authorizations

Authorization
string
header
required

Supabase JWT token in Authorization: Bearer header

Path Parameters

agent_id
string
required

Agent identifier (e.g. smolt-abc123)

Response

Current settings.

Per-agent observability + enforcement knobs.

agent_id
string
required
aap_enabled
boolean
required
aip_enabled
boolean
required
proof_enabled
boolean
required
proof_rate
integer
required
Required range: 0 <= x <= 100
nudge_strategy
enum<string>
required
Available options:
always,
sampling,
threshold,
off
ddr_mode
enum<string>
required
Available options:
off,
flag,
auto-suggest,
auto-apply
analyze_output
boolean
required